Ubuntu

Change log for “opencv” package in Ubuntu

155 of 55 results
Published in trusty-release on 2014-02-27
Deleted in trusty-proposed (Reason: moved to release)
opencv (2.4.8+dfsg1-2ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
 -- Jonathan Riddell <email address hidden>   Tue, 25 Feb 2014 11:10:42 +0000
Superseded in trusty-proposed on 2014-02-25
opencv (2.4.8+dfsg-1ubuntu3) trusty; urgency=medium

  * Build using tbb on arm64 and ppc64el.
 -- Matthias Klose <email address hidden>   Mon, 24 Feb 2014 16:03:01 +0100
Superseded in trusty-proposed on 2014-02-24
opencv (2.4.8+dfsg-1ubuntu2) trusty; urgency=medium

  * Add missing cmake files to libopencv-dev
 -- Jonathan Riddell <email address hidden>   Mon, 24 Feb 2014 12:48:15 +0000
Superseded in trusty-release on 2014-02-27
Deleted in trusty-proposed on 2014-03-01 (Reason: moved to release)
opencv (2.4.8+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable, remaining changes:
   - In debian/rules don't build OpenGL on armhf; not useful there
   - Arch-restrict libopencv-ocl2.4 and libopencv-ocl-dev binary packages
     for now, due to 1263801.
   - In debian/control disable OpenCL support on ppc64el, FTBFS see bug 1263801.
   - add libopencv-ocl-dev to libcv-dev depends
   - opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Drop patch detect_sphinx now upstream
  * Drop detect_opencl now upstream

Superseded in trusty-release on 2014-02-17
Deleted in trusty-proposed on 2014-02-18 (Reason: moved to release)
opencv (2.4.6.1+dfsg-2ubuntu5) trusty; urgency=medium

  * Don't build OpenGL on armhf; not useful there.
 -- Iain Lane <email address hidden>   Thu, 16 Jan 2014 11:19:15 +0000
Superseded in trusty-release on 2014-01-17
Deleted in trusty-proposed on 2014-01-18 (Reason: moved to release)
opencv (2.4.6.1+dfsg-2ubuntu4) trusty; urgency=medium

  * Arch-restrict OpenCL binary packages for now, due to 1263801.
 -- Adam Conrad <email address hidden>   Tue, 24 Dec 2013 11:54:25 -0700
Superseded in trusty-release on 2013-12-25
Deleted in trusty-proposed on 2013-12-26 (Reason: moved to release)
opencv (2.4.6.1+dfsg-2ubuntu3) trusty; urgency=medium

  * Enable TBB support on all, bug arm64 (not available).
  * Disable OpenCL support on ppc64el, FTBFS see bug 1263801.
 -- Dimitri John Ledkov <email address hidden>   Mon, 23 Dec 2013 23:43:41 +0000
Superseded in trusty-release on 2013-12-24
Deleted in trusty-proposed on 2013-12-25 (Reason: moved to release)
opencv (2.4.6.1+dfsg-2ubuntu2) trusty; urgency=low

  * Add patch detect_sphinx to fix detection of Python Sphinx
 -- Jonathan Riddell <email address hidden>   Fri, 13 Dec 2013 13:00:18 +0000
Superseded in trusty-proposed on 2013-12-13
opencv (2.4.6.1+dfsg-2ubuntu1) trusty; urgency=low

  * Merge with Debian unstable, remaining changes:
   - build-dep on ocl-icd-opencl-dev and add libopencv-ocl-dev to libcv-dev depends
     and add libopencv-ocl2.4 and libopencv-ocl-dev packages
  * Add detect_opencl to build ocl with multiarched libraries
  * opencv-data breaks libopencv-dev (<= 2.4.6.1+dfsg-2ubuntu1)
  * Add detect_opencl to fix finding opencl library with multiarch
 -- Jonathan Riddell <email address hidden>   Wed, 11 Dec 2013 16:23:54 +0000
Superseded in trusty-release on 2013-12-16
Deleted in trusty-proposed on 2013-12-17 (Reason: moved to release)
opencv (2.4.5+dfsg-0ubuntu5) trusty; urgency=low

  * No change rebuild against libav9.
 -- Dmitrijs Ledkovs <email address hidden>   Thu, 07 Nov 2013 11:25:28 +0000
Superseded in trusty-release on 2013-11-27
Published in saucy-release on 2013-10-10
Deleted in saucy-proposed (Reason: moved to release)
opencv (2.4.5+dfsg-0ubuntu4) saucy; urgency=low

  * Add libopencv-ocl-dev to depends of libopencv-dev
 -- Jonathan Riddell <email address hidden>   Thu, 10 Oct 2013 16:58:42 +0100
Superseded in saucy-release on 2013-10-10
Deleted in saucy-proposed on 2013-10-12 (Reason: moved to release)
opencv (2.4.5+dfsg-0ubuntu3) saucy; urgency=low

  [ Thomas Bleher ]
  * Package missing library libopencv-ocl LP: #1213861

  [ Jonathan Riddell ]
  * Add build-dep on ocl-icd-opencl-dev
 -- Thomas Bleher <email address hidden>   Mon, 19 Aug 2013 08:21:39 +0200
Superseded in saucy-release on 2013-10-08
Deleted in saucy-proposed on 2013-10-09 (Reason: moved to release)
opencv (2.4.5+dfsg-0ubuntu2) saucy; urgency=low

  * Package missing library libopencv-superres
 -- Jonathan Riddell <email address hidden>   Fri, 28 Jun 2013 14:01:14 +0100
Superseded in saucy-release on 2013-06-28
Deleted in saucy-proposed on 2013-06-29 (Reason: moved to release)
opencv (2.4.5+dfsg-0ubuntu1) saucy; urgency=low

  * New upstream release
 -- Jonathan Riddell <email address hidden>   Wed, 26 Jun 2013 16:44:16 +0100
Superseded in saucy-release on 2013-06-28
Published in raring-release on 2013-01-10
Deleted in raring-proposed (Reason: moved to release)
opencv (2.4.2+dfsg-0exp2ubuntu1) raring; urgency=low

  * Added debian/patches/fix-flann-gcc-c++11-bug.patch:
     - Backport from upstream, commit 3df72fe669d27893fae2cffa6287ad8abdcac84f
     - Fixes build issues when using gcc and C++11
 -- Adrien Cunin <email address hidden>   Thu, 06 Dec 2012 21:06:56 +0100
Superseded in raring-proposed on 2012-12-06
opencv (2.4.2+dfsg-0exp2) experimental; urgency=low


  * Update debian/control.
    - Dump cmake version to 2.8.7.
      When old cmake is used, building failed.
  * Update libopencv-core-dev.install.
    - Add opencv2/opencv_modules.hpp.

 -- Nobuhiro Iwamatsu <email address hidden>  Tue, 24 Jul 2012 12:22:11 +0900
Superseded in raring-release on 2013-01-10
Published in quantal-release on 2012-07-21
opencv (2.3.1-11ubuntu2) quantal; urgency=low

  * Drop versioning from libtiff-dev
 -- Rohan Garg <email address hidden>   Sat, 21 Jul 2012 15:32:35 +0200

Available diffs

Superseded in quantal-release on 2012-07-21
opencv (2.3.1-11ubuntu1) quantal; urgency=low

  * Use libtiff-dev instead of libtiff4-dev as this makes transitions
    easier
 -- Rohan Garg <email address hidden>   Thu, 19 Jul 2012 23:43:08 +0200
Superseded in quantal-release on 2012-07-20
opencv (2.3.1-11) unstable; urgency=high

  
  * Update debian/control.
    - Bumped Standards-Version to 3.9.3. No changes needed.
    - Update Homepage field.
    - Add python-numpy-abi9 and python-numpy (>= 1:1.6.1) to python-opencv.
      Fix lintian error for missing-dependency-on-numpy-abi. (Closes: #676633)
  * Update debian/rules.
    - Remove unnecessary option of build config.
  * Add lintian-overrides files for hardening-no-fortify-functions.

 -- Nobuhiro Iwamatsu <email address hidden>  Thu, 28 Jun 2012 04:04:04 +0900

Available diffs

Superseded in quantal-release on 2012-06-29
opencv (2.3.1-10) unstable; urgency=high


  * Update debian/control.
    - Add Replaces and Breaks of libopencv-core-dev to libopencv-dev.
     (Closes: #674242)
    - Cleanup Depends of packages.

 -- Nobuhiro Iwamatsu <email address hidden>  Tue, 29 May 2012 08:43:39 +0900

Available diffs

Superseded in quantal-release on 2012-05-29
opencv (2.3.1-9) unstable; urgency=low


  * Update debian/control.
    - pkg-config and binarys move from libopencv-core-dev to libopencv-dev.
	  (Closes: #671376, #658197)
    - Drop Replaces and Breaks from libopencv-core-dev. (Closes: #668708)

 -- Nobuhiro Iwamatsu <email address hidden>  Tue, 22 May 2012 12:17:09 +0900

Available diffs

Superseded in quantal-release on 2012-05-24
opencv (2.3.1-8) unstable; urgency=low


  * Add support TBB.
  * Fix getting value of dpkg-architecture.

 -- Nobuhiro Iwamatsu <email address hidden>  Thu, 02 Feb 2012 12:40:01 +0900

Available diffs

Superseded in quantal-release on 2012-04-30
Published in precise-release on 2012-02-13
opencv (2.3.1-7) unstable; urgency=low


  * Update debian/libopencv-core-dev.install.
    - Change install path of OpenCVConfig.cmake from usr/share/opencv/ 
      to usr/share/OpenCV. (Closes: #658196)
    - usr/share/OpenCV/OpenCVConfig-version.cmake was added to the 
      installation file of libopencv-core-dev.
  * Add debian/*-dev.docs. 
    This provides README.Debian with *-dev packages. 

 -- Nobuhiro Iwamatsu <email address hidden>  Thu, 02 Feb 2012 02:39:05 +0900
Superseded in precise-release on 2012-02-13
opencv (2.1.0-7build2) precise; urgency=low

  * Rebuild for libjpeg8.
 -- Colin Watson <email address hidden>   Tue, 18 Oct 2011 19:49:28 +0100

Available diffs

Superseded in precise-release on 2011-10-18
Published in oneiric-release on 2011-09-15
opencv (2.1.0-7build1) oneiric; urgency=low

  * No change rebuild to pick up new armel specific symbols (LP: #850603)
 -- Micah Gersten <email address hidden>   Wed, 14 Sep 2011 23:34:00 -0500

Available diffs

Superseded in oneiric-release on 2011-09-15
opencv (2.1.0-7) unstable; urgency=low

  * Fix FTBFS with libav 0.7. (Closes: #634818)
    Add patches/vcap_ffmpeg_fix_compile_against_libav0.7.patch.

Available diffs

Superseded in oneiric-release on 2011-08-11
opencv (2.1.0-3ubuntu2) oneiric; urgency=low

  [ Reinhard Tartler ]
  * enable parallel builds

  [ Gal Shalif (Work at Fourier Systems) ]
  * Add patch ubuntu11.04_no_videodev.h_include_file.patch
    - fix build error on Ubuntu 11.04 Natty (LP: #756154):
    - Backport the upstream 2.2 changeset to void the use
      of the obsolete V4L1 (linux/videodev.h)
  * Add patch ubuntu11.10_oneiric_fix_compilation_error_with_gcc4.6.patch
      - fix build error on Ubuntu 11.10 Oneiric (LP: #791527):
  * Add cvcap_ffmpeg_fix_compile_against_libav0.7.patch
      - fix compilation errors when compiled against libav-0.7
        (as applicable for Ubuntu 11.10 Oneiric) (LP: #756154)
 -- Gal Shalif (Work at Fourier Systems) <email address hidden>   Thu, 07 Jul 2011 10:25:00 +0300

Available diffs

Superseded in oneiric-release on 2011-07-16
Obsolete in natty-release on 2013-06-04
opencv (2.1.0-3ubuntu1) natty; urgency=low

  * Adjust hack to re-included stdint.h for GCC-4.5. LP: #685500.
 -- Matthias Klose <email address hidden>   Tue, 14 Dec 2010 14:34:19 +0100

Available diffs

Superseded in natty-release on 2010-12-14
opencv (2.1.0-3) unstable; urgency=low

  * Fix set opencv minor version on Python (Closes: #600836).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  03 Dec 2010 16:48:00 +0000

Available diffs

Superseded in natty-release on 2010-12-03
Obsolete in maverick-release on 2013-03-05
opencv (2.1.0-2) unstable; urgency=low

  * Update debian/control.
    - Bumped standards-version to 3.9.1. No changes needed.
    - Add python-numpy to Build-depends (Closes: #593310)
  * Add hurd support patch (Closes: #589586).
 -- Matthias Klose <email address hidden>   Sat,  25 Sep 2010 19:56:19 +0000

Available diffs

Superseded in maverick-release on 2010-09-25
opencv (2.1.0-1) unstable; urgency=low

  * New upstream release. (Closes: #577594, #587232, #563717)
  * Update debian/rules.
    - Update build-system to debhelper v7.
  * Update debian/control.
    - Bumped standards-version to 3.9.0. No changes needed.
    - library package name update.
      Soname of opencv library changed from 4 to 2.1.
    - Add cmake, liblapack-dev, texlive-fonts-extra, texlive-latex-extra,
      texlive-latex-recommended, latex-xcolor and  texlive-fonts-recommended
      to Build-depends.
    - Add arch depends to libraw1394-dev and libdc1394-22-dev.
      Thanks to Pino Toscano. (Closes: #581210)
  * Add opencv-doc.lintian-overrides.
    opencv-doc has some sample program of python.
  * Update man files.
  * Update patches
    - Update and rename 500_remove_bashism.patch.
      And rename to remove_bashism.patch.
  * Add new patches.
    - Enable build static library.
      enable_static.patch
    - Disable build 3rd party library.
      Use zlib and lapack in debian package.
      fix_3rdparty_build.patch
    - Fix build pdf.
      fix_build_pdf.patch
    - Remove cvconfig.h
      remove_cvconfig.h.patch
  * Remove some patches.
 -- Artur Rona <email address hidden>   Wed,  04 Aug 2010 21:11:30 +0100

Available diffs

Superseded in maverick-release on 2010-08-04
opencv (2.0.0-4build1) maverick; urgency=low

  * No changes upload, for ffmpeg 6.0 transition.
 -- Fabrice Coutadeur <email address hidden>   Mon, 28 Jun 2010 04:56:15 +0000

Available diffs

Superseded in maverick-release on 2010-06-28
opencv (2.0.0-4) unstable; urgency=low

  * Update debian/control.
    - Bumped standards-version to 3.8.4. No changes needed.
  * Change install path of python-opencv. (Closes: #565121)  
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  18 May 2010 14:26:54 +0100

Available diffs

Superseded in maverick-release on 2010-05-18
Published in lucid-release on 2010-01-19
opencv (2.0.0-3ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols
 -- Reinhard Tartler <email address hidden>   Tue, 19 Jan 2010 21:32:44 +0100

Available diffs

Superseded in lucid-release on 2010-01-19
opencv (2.0.0-3ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #506812). Remaining changes:
    - Update debian/python-opencv.install for Python 2.6 dist-packages install
      location
 -- Fabrice Coutadeur <email address hidden>   Mon, 18 Jan 2010 19:19:15 +0000

Available diffs

Superseded in lucid-release on 2010-01-18
opencv (2.0.0-2ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update debian/python-opencv.install for Python 2.6
      dist-packages install location
 -- Luka Renko <email address hidden>   Sun, 20 Dec 2009 15:41:40 +0100
Superseded in lucid-release on 2009-12-21
Obsolete in karmic-release on 2013-03-04
opencv (1.0.0-6.2ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update debian/python-opencv.install for Python 2.6 dist-packages install
      location
  * Fix FTBFS with GCC 4.4 due to #elif used instead of #else
    - Added debian/patches/420_gcc_4.4_compat.diff from Debian bug 504831

Superseded in karmic-release on 2009-09-29
Obsolete in jaunty-release on 2013-02-28
opencv (1.0.0-6.1ubuntu1) jaunty; urgency=low

  * Update debian/python-opencv.install for Python 2.6 dist-packages install
    location

 -- Scott Kitterman <email address hidden>   Sat, 07 Mar 2009 23:56:25 -0500

Available diffs

Superseded in jaunty-release on 2009-03-08
opencv (1.0.0-6.1build1) jaunty; urgency=low

  * No-change rebuild for libavcodec51 -> libavcodec52 transition.

 -- Steve Kowalik <email address hidden>   Sun, 04 Jan 2009 01:20:41 +1100

Available diffs

Superseded in jaunty-release on 2009-01-03
Obsolete in intrepid-release on 2013-02-20
opencv (1.0.0-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Dropped build dependency on libdc1394-22-dev (Closes: #497689)
    + Added ${misc:Depends} where missing

Available diffs

Superseded in intrepid-release on 2008-09-15
opencv (1.0.0-5) unstable; urgency=high

  [ Daniel Leidert ]

  * debian/control: Added Homepage field.
    (Vcs-Svn): Fixed.
    (Depends, Build-Depends): Added libjasper-dev (closes: #428474).
  * debian/dirs: Removed (useless). Avoids empty directories.
  * debian/libcv-dev.install: Small cosmetic fix.
  * debian/libcv-dev.manpages: Added for haartraining utilities.
  * debian/opencv-createsamples.1: Initially added.
  * debian/opencv-haartraining.1: Ditto.
  * debian/opencv-performance.1: Ditto.
  * debian/opencv-doc.install: Install Makefile.debian here.
  * debian/rules (install, binary-arch, binary-indep): Removed most of the
    unused debhelper calls. Let dh_install exclude files we don't want. Don't
    install examples twice. Removed installation of opencv-config.1 (closes:
    #407946).
  * debian/watch: Added.
  * debian/patches/300_fix_segfault_in_window_gtk.diff: Added. Merged from
    Ubuntu.
  * debian/patches/series: Adjusted.

  [ Sam Hocevar ]

  * High urgency to ease testing propagations.
  * debian/patches/100_ffmpeg_updates.diff:
    + Updated patch to latest ffmpeg version (Closes: #482217).
  * debian/patches/020_python_linking.diff:
    + Link python bindings with required libraries.
  * debian/patches/030_install_hook.diff:
    + Use install-exec-hook instead of install-hook.

  * debian/control:
    + Build-depend on more recent libavcodec-dev.

 -- Emanuele Gentili <email address hidden>   Fri,  13 Jun 2008 09:32:07 +0100

Available diffs

Superseded in intrepid-release on 2008-06-13
Published in hardy-release on 2008-03-19
opencv (1.0.0-4ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. (LP: #201185) Remaining Ubuntu changes:
    - Patch from opencvlibrary cvs (Revision 1.6) to fix window_gtk.cpp.
    - Modify Maintainer value to match Debian-Maintainer-Field Spec.

Superseded in hardy-release on 2008-03-19
Obsolete in gutsy-release on 2011-09-16
opencv (1.0.0-3ubuntu3) gutsy; urgency=low

  * apply patch from
    http://opencvlibrary.cvs.sourceforge.net/opencvlibrary/opencv/otherlibs/highgui/window_gtk.cpp?r1=1.5&r2=1.6&view=patch
    Thanks to "Guy K. Kloss" (LP: #112708)
  * libcv-dev installable again (LP: #141058)

 -- Reinhard Tartler <email address hidden>   Mon, 24 Sep 2007 09:32:51 +0200
Superseded in gutsy-release on 2007-09-24
opencv (1.0.0-3ubuntu2) gutsy; urgency=low

  * rebuild for new ffmpeg

 -- Reinhard Tartler <email address hidden>   Fri, 22 Jun 2007 16:53:40 +0000
Superseded in gutsy-release on 2007-06-22
opencv (1.0.0-3ubuntu1) gutsy; urgency=low

  * Merge from Debian Unstable, Ubuntu changes:
    - add python2.4-opencv to the Conflicts/Replaces of python-opencv.
  * debian/control: Adhere to DebianMaintainerField.

Superseded in gutsy-release on 2007-05-05
Obsolete in feisty-release on 2009-08-20
opencv (1.0.0-1ubuntu1) feisty; urgency=low

  * Merge from Debian experimental, remaining changes:
    + add python2.4-opencv to the Conflicts/Replaces of python-opencv.

Superseded in feisty-release on 2007-02-03
opencv (0.9.7-4ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <email address hidden>   Fri, 12 Jan 2007 13:22:24 +0000
Superseded in feisty-release on 2007-01-12
opencv (0.9.7-4ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes dropped:
    - change python2.3 build-depends to python2.4 to fix FTBFS
  * Add python2.4-opencv to the Conflicts/Replaces of python-opencv.

Superseded in feisty-release on 2007-01-03
Obsolete in edgy-release on 2008-06-19
opencv (0.9.7-3ubuntu1) edgy; urgency=low

  * debian/control:
    - change python2.3 build-depends to python2.4 to fix FTBFS

 -- Sebastian Dröge <email address hidden>   Sun, 23 Jul 2006 13:48:11 +0200
Superseded in edgy-release on 2006-07-23
opencv (0.9.7-3) unstable; urgency=low

  * debian/patches/110_dereferencement.diff:
    + Fix compilation warnings due to type-punned pointer dereferencement.

Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
opencv (0.9.6-4.1build1) dapper; urgency=low


  * Rebuild for libstdc++ allocator change

 -- Matthias Klose <email address hidden>  Sat, 24 Dec 2005 15:33:32 +0000
Superseded in dapper-release on 2006-01-31
opencv (0.9.6-4.1) unstable; urgency=medium


  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix.
  * Rename libcvaux0.9-0c2 to libcvaux0.9-0c2a for the C++ mt allocator ABI
    transition, and conflict/replace libcvaux0.9-0c2 accordingly
    (closes: #339240).

 -- Steve Langasek <email address hidden>  Sat,  3 Dec 2005 21:27:40 -0800
Superseded in dapper-release on 2006-01-31
Obsolete in breezy-release on 2008-03-25
opencv (0.9.6-1ubuntu2) breezy; urgency=low


  * Apply fix to fix FTBFS on 64bit archs (Ante Karamatic).

 -- Matthias Klose <email address hidden>  Tue, 21 Jun 2005 14:18:25 +0200
Obsolete in hoary-release on 2008-03-19
opencv (0.9.5-10) unstable; urgency=high


  * debian/patches/30_delete.dpatch:
    + Fixed a crash at program exit (Closes: #269799).

 -- Sam Hocevar (Debian packages) <email address hidden>  Fri,  3 Sep 2004 21:59:26 +0200
Obsolete in warty-release on 2008-01-09
opencv (0.9.5-4ubuntu1) warty; urgency=low


  * Build-depend: libtiff4-dev

 -- LaMont Jones <email address hidden>  Tue, 24 Aug 2004 07:26:47 -0600
155 of 55 results